> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agno.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Whatsapp Webhook

> Process incoming WhatsApp messages



## OpenAPI

````yaml /reference-api/openapi.yaml post /whatsapp/webhook
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.7.2
servers: []
security: []
paths:
  /whatsapp/webhook:
    post:
      tags:
        - Whatsapp
      summary: Whatsapp Webhook
      description: Process incoming WhatsApp messages
      operationId: whatsapp_webhook_simple_agent
      responses:
        '200':
          description: Event processed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppWebhookResponse'
        '403':
          description: Invalid webhook signature
components:
  schemas:
    WhatsAppWebhookResponse:
      properties:
        status:
          type: string
          title: Status
          description: Processing status
          default: ok
      type: object
      title: WhatsAppWebhookResponse

````